- Home
- API Enriched
- Dns
- data
- DNS Load Balancer Health Status.
DNS Load Balancer Health Status.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/dns_load_balancers/example/health_status';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/dns_load_balancers/example/health_status \ --header 'Authorization: <Authorization>'GET DNS Load Balancer Health status.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace in which the DNS Load Balancer is present.
Name Name of the DNS Load Balancer.
Responses
Section titled “Responses”A successful response.
Response for DNS Load Balancer Health Status Request.
object
Collection of DNS Load Balancer Pools.
Individual item in a collection of DNS Load Balancer Pool.
object
Summary of DNS Load Balancer Pool Members by Health Status.
Health Status Summary.
object
Number of objects.
Metric data contains timestamp and the value.
object
Timestamp
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Configuration parameter for value
Health Check Type associated with the DNS Load Balancer Pool.
Name of the DNS Load Balancer Pool.
Health Status of DNS Load Balancer Pool.
Metric data contains timestamp and the value.
object
Timestamp
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Configuration parameter for value
Health Status of DNS Load Balancer.
Metric data contains timestamp and the value.
object
Timestamp
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Configuration parameter for value
Example
{ "dns_lb_pool_items": [ { "dns_lb_pool_members_status_summary": [ { "count": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ], "status": "HEALTH_STATUS_UNHEALTHY" } ], "status": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ] } ], "status": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example